org.modeshape.sequencer.teiid.lexicon

## Interface VdbLexicon.Model

- Enclosing interface:
    VdbLexicon

      public static interface VdbLexicon.Model

  JCR identifiers relating to VDB manifest models.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `VdbLexicon.Model.Marker` JCR identifiers relating to VDB manifest model validation error markers.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUILT_IN`
    `static String` | `CHECKSUM`
    `static String` | `DESCRIPTION`
    `static String` | `INDEX_NAME`
    `static String` | `MARKERS`
    `static String` | `METADATA_TYPE`
    `static String` | `MODEL`
    `static String` | `MODEL_DEFINITION`
    `static String` | `PATH_IN_VDB`
    `static String` | `SOURCE_JNDI_NAME`
    `static String` | `SOURCE_NAME`
    `static String` | `SOURCE_TRANSLATOR`
    `static String` | `VISIBLE`

- - ### Field Detail

    - #### BUILT_IN

          static final String BUILT_IN

      See Also:
        Constant Field Values

    - #### CHECKSUM

          static final String CHECKSUM

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### INDEX_NAME

          static final String INDEX_NAME

      See Also:
        Constant Field Values

    - #### MARKERS

          static final String MARKERS

      See Also:
        Constant Field Values

    - #### METADATA_TYPE

          static final String METADATA_TYPE

      See Also:
        Constant Field Values

    - #### MODEL

          static final String MODEL

      See Also:
        Constant Field Values

    - #### MODEL_DEFINITION

          static final String MODEL_DEFINITION

      See Also:
        Constant Field Values

    - #### PATH_IN_VDB

          static final String PATH_IN_VDB

      See Also:
        Constant Field Values

    - #### SOURCE_JNDI_NAME

          static final String SOURCE_JNDI_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_NAME

          static final String SOURCE_NAME

      See Also:
        Constant Field Values

    - #### SOURCE_TRANSLATOR

          static final String SOURCE_TRANSLATOR

      See Also:
        Constant Field Values

    - #### VISIBLE

          static final String VISIBLE

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.